## haproxy 3.0.10

=== Makefile ===
# This GNU Makefile supports different OS and CPU combinations.
#
# You should use it this way :
#   [g]make TARGET=os [CFLAGS=...] USE_xxx=1 ...
#
# When in doubt, invoke help, possibly with a known target :
#   [g]make help
#   [g]make help TARGET=linux-glibc
#
# By default the detailed commands are hidden for a cleaner output, but you may
# see them by appending "V=1" to the make command.
#
# Valid USE_* options are enumerated in the "use_opts" variable and are listed
# below. Most of them are automatically set by the TARGET, others have to be
# explicitly specified :
#   USE_EPOLL               : enable epoll() on Linux 2.6. Automatic.
#   USE_KQUEUE              : enable kqueue() on BSD. Automatic.
#   USE_EVPORTS             : enable event ports on SunOS systems. Automatic.
#   USE_NETFILTER           : enable netfilter on Linux. Automatic.
#   USE_PCRE                : enable use of libpcre for regex.
#   USE_PCRE_JIT            : enable JIT for faster regex on libpcre >= 8.32
#   USE_PCRE2               : enable use of libpcre2 for regex. Recommended.
#   USE_PCRE2_JIT           : enable JIT for faster regex on libpcre2
#   USE_POLL                : enable poll(). Automatic.
#   USE_THREAD              : enable threads support.
#   USE_STATIC_PCRE         : enable static libpcre.
#   USE_STATIC_PCRE2        : enable static libpcre2. Recommended.
#   USE_TPROXY              : enable transparent proxy. Automatic.
#   USE_LINUX_TPROXY        : enable full transparent proxy. Automatic.
#   USE_LINUX_SPLICE        : enable kernel 2.6 splicing. Automatic.
#   USE_LINUX_CAP           : enable Linux capabilities.
#   USE_LIBCRYPT            : enable encrypted passwords using -lcrypt
#   USE_CRYPT_H             : set it if your system requires including crypt.h
#   USE_GETADDRINFO         : use getaddrinfo() to resolve IPv6 host names.
#   USE_OPENSSL             : enable use of OpenSSL. Recommended, but see below.
#   USE_OPENSSL_AWSLC       : enable use of AWS-LC
#   USE_OPENSSL_WOLFSSL     : enable use of wolfSSL with the OpenSSL API
#   USE_QUIC                : enable use of QUIC with the quictls API (quictls, libressl, boringssl)
#   USE_QUIC_OPENSSL_COMPAT : enable use of QUIC with the standard openssl API (limited features)
#   USE_ENGINE              : enable use of OpenSSL Engine.
#   USE_LUA                 : enable Lua support.
#   USE_ACCEPT4             : enable use of accept4() on linux. Automatic.
#   USE_CLOSEFROM           : enable use of closefrom() on *bsd, solaris. Automatic.
#   USE_PRCTL               : enable use of prctl(). Automatic.
#   USE_PROCCTL             : enable use of procctl(). Automatic.
#   USE_ZLIB                : enable zlib library support and disable SLZ
#   USE_SLZ                 : enable slz library instead of zlib (default=enabled)
#   USE_CPU_AFFINITY        : enable pinning processes to CPU on Linux. Automatic.
#   USE_TFO                 : enable TCP fast open. Supported on Linux >= 3.7.
#   USE_NS                  : enable network namespace support. Supported on Linux >= 2.6.24.
#   USE_DL                  : enable it if your system requires -ldl. Automatic on Linux.
#   USE_MATH                : enable use of -lm. Automatic.
#   USE_RT                  : enable it if your system requires -lrt. Automatic on Linux.
#   USE_BACKTRACE           : enable backtrace(). Automatic on Linux.
#   USE_PROMEX              : enable the Prometheus exporter
#   USE_DEVICEATLAS         : enable DeviceAtlas api.
#   USE_51DEGREES           : enable third party device detection library from 51Degrees
#   USE_WURFL               : enable WURFL detection library from Scientiamobile
#   USE_SYSTEMD             : enable sd_notify() support.
#   USE_OBSOLETE_LINKER     : use when the linker fails to emit __start_init/__stop_init
#   USE_THREAD_DUMP         : use the more advanced thread state dump system. Automatic.
#   USE_OT                  : enable the OpenTracing filter
#   USE_MEMORY_PROFILING    : enable the memory profiler. Linux-glibc only.
#   USE_LIBATOMIC           : force to link with/without libatomic. Automatic.
#   USE_PTHREAD_EMULATION   : replace pthread's rwlocks with ours
#   USE_SHM_OPEN            : use shm_open() for the startup-logs
#
# Options can be forced by specifying "USE_xxx=1" or can be disabled by using
# "USE_xxx=" (empty string). The list of enabled and disabled options for a
# given TARGET is enumerated at the end of "make help". Most of these options
# support specific xxx_CFLAGS and/or xxx_LDFLAGS that can be individually
# forced. The currently active ones for a given set of options are listed in
# "make opts USE_xxx=1 ...".
#
# Variables useful for packagers :
#   CC is set to "cc" by default and is used for compilation only.
#   LD is set to "cc" by default and is used for linking only.
#   OPT_CFLAGS sets the default optimization level (-O2).
#   CFLAGS may be used to append any flags for the C compiler.
#   LDFLAGS is automatically set to -g and may be overridden.
#   ARCH_FLAGS for flags common to both CC and LD. Defaults to -g.
#   DEP may be cleared to ignore changes to include files during development
#   DEBUG may be used to set some internal debugging options.
#   ERR may be set to non-empty to pass -Werror to the compiler
#   FAILFAST may be set to non-empty to pass -Wfatal-errors to the compiler
#   WARN_CFLAGS overrides the default set of enabled warning options
#   NOWARN_CFLAGS overrides the default set of disabled warning options
#   ADDINC may be used to complete the include path in the form -Ipath.
#   ADDLIB may be used to complete the library list in the form -Lpath -llib.
#   DEFINE may be used to specify any additional define, which will be reported
#          by "haproxy -vv" in CFLAGS.
#   SILENT_DEFINE may be used to specify other defines which will not be
#     reported by "haproxy -vv".
#   EXTRA   is used to force building or not building some extra tools.
#   DESTDIR is not set by default and is used for installation only.
#           It might be useful to set DESTDIR if you want to install haproxy
#           in a sandbox.
#   INSTALL is set to "install" by default and is used to provide the name of
#           the install binary used by the install targets and any additional
#           flags.
#   PREFIX  is set to "/usr/local" by default and is used for installation only.
#   SBINDIR is set to "$(PREFIX)/sbin" by default and is used for installation
#           only.
#   MANDIR  is set to "$(PREFIX)/share/man" by default and is used for
#           installation only.
#   DOCDIR  is set to "$(PREFIX)/doc/haproxy" by default and is used for
#           installation only.
#   HLUA_PREPEND_PATH may be used to prepend a folder to Lua's default package.path.
#   HLUA_PREPEND_CPATH may be used to prepend a folder to Lua's default package.cpath.
#
# Other variables :
#   PCRE_CONFIG    : force the binary path to get pcre config (by default
#                                                              pcre-config)
#   PCREDIR        : force the path to libpcre.
#   PCRE_LIB       : force the lib path to libpcre (defaults to $PCREDIR/lib).
#   PCRE_INC       : force the include path to libpcre ($PCREDIR/inc)
#   PCRE2_CONFIG   : force the binary path to get pcre2 config (by default
#                                                               pcre2-config)
#   SSL_LIB        : force the lib path to libssl/libcrypto
#   SSL_INC        : force the include path to libssl/libcrypto
#   LUA_LIB        : force the lib path to lua
#   LUA_INC        : force the include path to lua
#   LUA_LIB_NAME   : force the lib name (or automatically evaluated, by order of
#                                        priority : lua5.4, lua54, lua5.3, lua53, lua).
#   OT_DEBUG       : compile the OpenTracing filter in debug mode
#   OT_INC         : force the include path to libopentracing-c-wrapper
#   OT_LIB         : force the lib path to libopentracing-c-wrapper
#   OT_RUNPATH     : add RUNPATH for libopentracing-c-wrapper to haproxy executable
#   OT_USE_VARS    : allows the use of variables for the OpenTracing context
#   IGNOREGIT      : ignore GIT commit versions if set.
#   VERSION        : force haproxy version reporting.
#   SUBVERS        : add a sub-version (eg: platform, model, ...).
#   EXTRAVERSION   : local version string to append (e.g. build number etc)
#   VERDATE        : force haproxy's release date.
#   VTEST_PROGRAM  : location of the vtest program to run reg-tests.
#   DEBUG_USE_ABORT: use abort() for program termination, see include/haproxy/bug.h for details

include include/make/verbose.mk
include include/make/compiler.mk
include include/make/options.mk

#### Installation options.
DESTDIR =
INSTALL = install
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
DOCDIR = $(PREFIX)/doc/haproxy

#### TARGET system
# Use TARGET=<target_name> to optimize for a specific target OS among the
# following list (use the default "generic" if uncertain) :
#    linux-glibc, linux-glibc-legacy, linux-musl, solaris, freebsd, freebsd-glibc,
#    dragonfly, openbsd, netbsd, cygwin, haiku, aix51, aix52, aix72-gcc, osx, generic,
#    custom
TARGET =

#### No longer used
CPU =
ifneq ($(CPU),)
ifneq ($(CPU),generic)
$(warning Warning: the "CPU" variable was forced to "$(CPU)" but is no longer \
  used and will be ignored. For native builds, modern compilers generally     \
  prefer that the string "-march=native" is passed in CPU_CFLAGS or CFLAGS.   \
  For other CPU-specific options, please read suggestions in the INSTALL file.)
endif
endif

#### No longer used
ARCH =
ifneq ($(ARCH),)
$(warning Warning: the "ARCH" variable was forced to "$(ARCH)" but is no \
  longer used and will be ignored. Please check the INSTALL file for other \
  options, but usually in order to pass arch-specific options, ARCH_FLAGS, \
  CFLAGS or LDFLAGS are preferred.)
endif

#### Toolchain options.
CC = cc
LD = $(CC)

#### Default optimizations
# Those are integrated early in the list of CFLAGS, and may be overridden by
# other CFLAGS options if needed.
OPT_CFLAGS = -O2

#### No longer used
DEBUG_CFLAGS =
ifneq ($(DEBUG_CFLAGS),)
$(warning Warning: DEBUG_CFLAGS was forced to "$(DEBUG_CFLAGS)" but is no     \
  longer used and will be ignored. If you have ported this build setting from \
  and older version, it is likely that you just want to pass these options    \
  to the CFLAGS variable. If you are passing some debugging-related options   \
  such as -g/-ggdb3/-pg etc, they can now be passed in ARCH_FLAGS at once for \
  both the compilation and linking stages.)
endif

#### Add -Werror when set to non-empty
ERR =

#### May be used to force running a specific set of reg-tests
REG_TEST_FILES =
REG_TEST_SCRIPT=./scripts/run-regtests.sh

#### Standard C definition
# Compiler-specific flags that may be used to set the standard behavior we
# rely on and to disable some negative over-optimization. More specifically,
# we rely on signed integer wraparound on overflow, however recently clang and
# gcc decided to change their code generation regarding this and abuse the
# undefined behavior to silently produce invalid code. For this reason we have
# to use -fwrapv or -fno-strict-overflow to guarantee the intended behavior.
# It is preferable not to change this option in order to avoid breakage.
STD_CFLAGS  := $(call cc-opt-alt,-fwrapv,-fno-strict-overflow)

#### Compiler-specific flags to enable certain classes of warnings.
# Some are hard-coded, others are enabled only if supported.
WARN_CFLAGS := -Wall -Wextra -Wundef -Wdeclaration-after-statement            \
               $(call cc-all-fast,                                            \
                 -Wtype-limits -Wshift-negative-value -Wshift-overflow=2      \
                 -Wduplicated-cond -Wnull-dereference)

#### Compiler-specific flags to enable certain classes of warnings.
NOWARN_CFLAGS := $(cc-wnouwo)

=== debian/changelog ===
haproxy (3.0.10-1ubuntu3) questing; urgency=medium

  * SECURITY UPDATE: DoS via MJSON
    - debian/patches/CVE-2025-11230.patch: fix possible DoS when parsing
      numbers in src/mjson.c.
    - CVE-2025-11230

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Oct 2025 07:59:53 -0400

haproxy (3.0.10-1ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 05 Sep 2025 11:46:44 +0000

haproxy (3.0.10-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110439). Remaining changes:
    - d/{control,rules}: Remove support for OpenTracing due to it being
      in universe
  * Dropped changes:
    - d/{control,rules}: do not link against jemalloc (universe)
      This can be dropped after (LP #2088056) got accepted.
      [ jemalloc is now in main ]
    - SECURITY UPDATE: heap overflow in sample_conv_regsub
      + debian/patches/CVE-2025-32464.patch: fix risk of overflow when
        replacing multiple regex back-refs in src/sample.c.
      + CVE-2025-32464
      [ Fixed in 3.0.10 ]

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 20 May 2025 12:27:08 -0300

haproxy (3.0.10-1) unstable; urgency=medium

  * New upstream release. Fix CVE-2025-32464.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 15:24:21 +0200

=== debian/control ===
Source: haproxy
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
           Prach Pongpanich <prach@debian.org>,
           Vincent Bernat <bernat@debian.org>
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               libpcre2-dev,
               libssl-dev,
               liblua5.4-dev,
               libsystemd-dev [linux-any],
               libjemalloc-dev,
               python3-sphinx:native,
               pkgconf,
               systemd-dev [linux-any]
Build-Depends-Indep: python3, python3-mako
Homepage: http://www.haproxy.org/
Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git
Vcs-Browser: https://salsa.debian.org/haproxy-team/haproxy

Package: haproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Pre-Depends}
Suggests: vim-haproxy, haproxy-doc
Description: fast and reliable load balancing reverse proxy
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.

Package: haproxy-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
 ${sphinxdoc:Depends}
Description: fast and reliable load balancing reverse proxy (HTML documentation)
 HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
 availability environments. It features connection persistence through HTTP
 cookies, load balancing, header addition, modification, deletion both ways. It
 has request blocking capabilities and provides interface to display server
 status.
 .
 This package contains the HTML documentation for haproxy.

Package: vim-haproxy
Architecture: all
Depends: ${misc:Depends}
Recommends: vim-addon-manager
Description: syntax highlighting for HAProxy configuration files
 The vim-haproxy package provides filetype detection and syntax highlighting
 for HAProxy configuration files.
 .
 As per the Debian vim policy, installed addons are not activated
 automatically, but the "vim-addon-manager" tool can be used for this purpose.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=V=1 \
	 CC='$(CC)' \
	 PKG_CONFIG='$(PKG_CONFIG)' \
	 DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE2=1 \
	 USE_PCRE2_JIT=1 \
	 USE_OPENSSL=1 \
	 USE_QUIC=1 \
     USE_QUIC_OPENSSL_COMPAT=1 \
	 USE_SLZ=1 \
	 USE_LUA=1 \
	 USE_PROMEX=1 \
	 LUA_INC=/usr/include/lua5.4 \
	 EXTRA=admin/halog/halog

ifeq ($(DEB_HOST_ARCH_OS),linux)
        MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
        deb_systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)
else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

MAKEARGS += ADDLIB="-Wl,-no-as-needed -ljemalloc -Wl,-as-needed"
MAKEARGS += CFLAGS="$(CFLAGS) $(CPPFLAGS)"
MAKEARGS += LDFLAGS="$(LDFLAGS)"
MAKEARGS += VERSION="$(DEB_VERSION_UPSTREAM)"
MAKEARGS += SUBVERS="-$(lastword $(subst -, ,$(DEB_VERSION)))"
MAKEARGS += VERDATE="$(shell TZ=UTC date -d "@$(SOURCE_DATE_EPOCH)" "+%Y/%m/%d")"

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:

override_dh_auto_build-arch:
	make $(MAKEARGS)
	make -C admin/systemd $(MAKEARGS)
	$(MAKE) -C doc/lua-api man

override_dh_auto_build-indep:
	# Build the HTML documentation, after patching dconv
	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
	python3 -B $(CURDIR)/debian/dconv/dconv.py \
			-o $(CURDIR)/doc \
		    $(CURDIR)/doc/intro.txt $(CURDIR)/doc/configuration.txt $(CURDIR)/doc/management.txt
	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
	$(MAKE) -C doc/lua-api html

override_dh_auto_clean:
	make -C admin/systemd clean
	$(MAKE) -C doc/lua-api clean
	dh_auto_clean

override_dh_auto_install-arch:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
ifneq ($(deb_systemdsystemunitdir),)
	install -m 0644 -D admin/systemd/haproxy.service debian/haproxy$(deb_systemdsystemunitdir)/haproxy.service
endif

override_dh_auto_install-indep:

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_installsystemd:
	dh_installsystemd --no-restart-after-upgrade --no-stop-on-upgrade

override_dh_strip:
	dh_strip --dbgsym-migration="haproxy-dbg"

## haproxy 3.0.11

=== addons/ot/Makefile ===
# USE_OT     : enable the OpenTracing filter
# OT_DEBUG   : compile the OpenTracing filter in debug mode
# OT_INC     : force the include path to libopentracing-c-wrapper
# OT_LIB     : force the lib path to libopentracing-c-wrapper
# OT_RUNPATH : add libopentracing-c-wrapper RUNPATH to haproxy executable
# OT_USE_VARS : allows the use of variables for the OpenTracing context

OT_DEFINE    =
OT_CFLAGS    =
OT_LDFLAGS   =
OT_DEBUG_EXT =
OT_PKGSTAT   =
OTC_WRAPPER  = opentracing-c-wrapper

ifneq ($(OT_DEBUG),)
OT_DEBUG_EXT = _dbg
OT_DEFINE    = -DDEBUG_OT
endif

ifeq ($(OT_INC),)
OT_PKGSTAT = $(shell pkg-config --exists $(OTC_WRAPPER)$(OT_DEBUG_EXT); echo $$?)
OT_CFLAGS = $(shell pkg-config --silence-errors --cflags $(OTC_WRAPPER)$(OT_DEBUG_EXT))
else
ifneq ($(wildcard $(OT_INC)/$(OTC_WRAPPER)/.*),)
OT_CFLAGS = -I$(OT_INC) $(if $(OT_DEBUG),-DOTC_DBG_MEM)
endif
endif

ifeq ($(OT_PKGSTAT),)
ifeq ($(OT_CFLAGS),)
$(error OpenTracing C wrapper : can't find headers)
endif
else
ifneq ($(OT_PKGSTAT),0)
$(error OpenTracing C wrapper : can't find package)
endif
endif

ifeq ($(OT_LIB),)
OT_LDFLAGS = $(shell pkg-config --silence-errors --libs $(OTC_WRAPPER)$(OT_DEBUG_EXT))
else
ifneq ($(wildcard $(OT_LIB)/lib$(OTC_WRAPPER).*),)
OT_LDFLAGS = -L$(OT_LIB) -l$(OTC_WRAPPER)$(OT_DEBUG_EXT)
ifneq ($(OT_RUNPATH),)
OT_LDFLAGS += -Wl,--rpath,$(OT_LIB)
endif
endif
endif

ifeq ($(OT_LDFLAGS),)
$(error OpenTracing C wrapper : can't find library)
endif

OPTIONS_OBJS += \
	addons/ot/src/cli.o         \
	addons/ot/src/conf.o        \
	addons/ot/src/event.o       \
	addons/ot/src/filter.o      \
	addons/ot/src/group.o       \
	addons/ot/src/http.o        \
	addons/ot/src/opentracing.o \
	addons/ot/src/parser.o      \
	addons/ot/src/pool.o        \
	addons/ot/src/scope.o       \
	addons/ot/src/util.o

ifneq ($(OT_USE_VARS),)
OT_DEFINE    += -DUSE_OT_VARS
OPTIONS_OBJS += \
	addons/ot/src/vars.o
endif

OT_CFLAGS := $(OT_CFLAGS) -Iaddons/ot/include $(OT_DEFINE)

=== dev/tcploop/Makefile ===
include ../../include/make/verbose.mk

CC       = gcc
OPTIMIZE = -O2 -g
DEFINE   =
INCLUDE  =
OBJS     = tcploop

tcploop: tcploop.c
	$(cmd_CC) $(OPTIMIZE) $(DEFINE) $(INCLUDE) -o $@ $^

clean:
	rm -f $(OBJS) *.[oas] *~

=== debian/changelog ===
haproxy (3.0.11-1) unstable; urgency=medium

  * New upstream release.
  * d/control: build-depends on libcrypt-dev. Closes: #1107033.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Jun 2025 07:51:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
+Maintainer: Debian HAProxy Maintainers <team+haproxy@tracker.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
@@ -10,10 +9,12 @@
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
                libssl-dev,
+               libcrypt-dev,
                liblua5.4-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,
                python3-sphinx:native,
+               libopentracing-c-wrapper-dev,
                pkgconf,
                systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako

## haproxy 3.0.12

=== debian/changelog ===
haproxy (3.0.12-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 22:36:59 +0200

haproxy (3.0.12-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 22:29:31 +0200

haproxy (3.0.11-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Jun 2025 08:01:28 +0200

haproxy (3.0.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 15:49:37 +0200

haproxy (3.0.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:28:54 +0100

haproxy (3.0.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:50:46 +0100

haproxy (3.0.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:50:45 +0100

haproxy (3.0.6-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:49:14 +0100

haproxy (3.0.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:41:49 +0100

haproxy (3.0.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 14:45:57 +0200

haproxy (3.0.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Sep 2024 17:03:50 +0200

haproxy (3.0.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 04 Aug 2024 13:08:21 +0200

haproxy (3.0.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 14 Jun 2024 22:25:59 +0200

haproxy (3.0.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 11 Jun 2024 08:09:21 +0200

haproxy (3.0.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 01 Jun 2024 13:44:05 +0200

haproxy (2.9.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 06 Apr 2024 11:54:15 +0200

haproxy (2.9.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 01 Mar 2024 22:07:57 +0100

haproxy (2.9.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Thu, 15 Feb 2024 22:28:12 +0100

haproxy (2.9.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Thu, 01 Feb 2024 22:44:07 +0100

haproxy (2.9.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Thu, 18 Jan 2024 22:14:49 +0100

haproxy (2.9.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 12 Jan 2024 21:14:10 +0100

haproxy (2.9.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Fri, 15 Dec 2023 15:37:42 +0100

haproxy (2.9.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@luffy.cx>  Sat, 09 Dec 2023 15:47:21 +0100

## haproxy 3.0.13

=== debian/changelog ===
haproxy (3.0.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:36:38 +0100

haproxy (3.0.13-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:29:24 +0100

## haproxy 3.0.14

=== debian/changelog ===
haproxy (3.0.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Dec 2025 04:42:32 +0100

haproxy (3.0.14-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Dec 2025 04:07:55 +0100

## haproxy 3.0.15

=== debian/changelog ===
haproxy (3.0.15-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:55:00 +0100

haproxy (3.0.15-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:51:26 +0100

haproxy (3.0.14-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Dec 2025 04:32:02 +0100

haproxy (3.0.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:31:49 +0100

haproxy (3.0.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 22:32:12 +0200

haproxy (3.0.11-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Jun 2025 07:56:34 +0200

haproxy (3.0.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 25 Apr 2025 15:44:49 +0200

haproxy (3.0.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:23:57 +0100

haproxy (3.0.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:46:00 +0100

haproxy (3.0.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:46:05 +0100

haproxy (3.0.6-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:43:54 +0100

haproxy (3.0.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 11 Nov 2024 17:39:31 +0100

haproxy (3.0.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 21 Sep 2024 14:43:20 +0200

haproxy (3.0.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Sep 2024 17:01:25 +0200

haproxy (3.0.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 04 Aug 2024 13:05:54 +0200

haproxy (3.0.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 16 Jun 2024 15:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
                libjemalloc-dev,
                python3-sphinx:native,
                libopentracing-c-wrapper-dev,
-               pkgconf,
-               systemd-dev [linux-any]
+               pkgconf
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git

## haproxy 3.0.16

=== debian/changelog ===
haproxy (3.0.16-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 22:35:22 +0100

haproxy (3.0.16-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 22:21:28 +0100

haproxy (3.0.15-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:47:18 +0100

haproxy (3.0.15-2) UNRELEASED; urgency=medium

  * CVE-2026-26081: fix integer overflow in QUIC code.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:38:32 +0100

haproxy (3.0.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:59:59 +0100

## haproxy 3.0.17

=== debian/changelog ===
haproxy (3.0.17-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Feb 2026 00:23:51 +0100

haproxy (3.0.17-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Feb 2026 00:15:54 +0100

## haproxy 3.1.3

=== debian/changelog ===
haproxy (3.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:26:23 +0100

haproxy (3.1.2-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Jan 2025 15:55:49 +0100

haproxy (3.1.1-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:21:15 +0100

haproxy (3.1.0-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #1079532)
    + Require a sphinx for the build architecture.
    + Pass CC and PKG_CONFIG to all make targets.
    + cross.patch: Honour the passed ${PKG_CONFIG}.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:08:58 +0100

haproxy (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 30 Nov 2024 23:34:36 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/3.1/src/ haproxy-(3\.1(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 3.1.5

=== debian/changelog ===
haproxy (3.1.5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Feb 2025 14:57:21 +0100

## haproxy 3.1.9

=== debian/changelog ===
haproxy (3.1.9-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 22:16:37 +0200

haproxy (3.1.9-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 21:44:07 +0200

haproxy (3.1.8-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 09 Jun 2025 07:43:32 +0200

haproxy (3.1.8-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 09 Jun 2025 07:28:45 +0200

haproxy (3.1.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Apr 2025 17:47:54 +0200

haproxy (3.1.7-1) experimental; urgency=medium

  * New upstream release. Fix CVE-2025-32464.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Apr 2025 17:41:25 +0200

haproxy (3.1.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:08:53 +0100

haproxy (3.1.6-1) experimental; urgency=medium

  * New upstream release.
  * d/control: drop Pre-Depends on dpkg. Closes: #1100452.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:01:14 +0100

haproxy (3.1.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Feb 2025 15:04:23 +0100

haproxy (3.1.3-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:30:17 +0100

haproxy (3.1.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Jan 2025 16:14:32 +0100

haproxy (3.1.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:29:14 +0100

haproxy (3.1.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:24:13 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
                libssl-dev,
-               libcrypt-dev,
                liblua5.4-dev,
                libsystemd-dev [linux-any],
                libjemalloc-dev,

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,6 @@
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
         MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
-        deb_systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -71,9 +70,6 @@
 	make $(MAKEARGS) install
 	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
 	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
-ifneq ($(deb_systemdsystemunitdir),)
-	install -m 0644 -D admin/systemd/haproxy.service debian/haproxy$(deb_systemdsystemunitdir)/haproxy.service
-endif
 
 override_dh_auto_install-indep:

## haproxy 3.1.10

=== debian/changelog ===
haproxy (3.1.10-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Nov 2025 16:11:36 +0100

haproxy (3.1.10-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Nov 2025 16:02:16 +0100

haproxy (3.1.9-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 22:21:43 +0200

haproxy (3.1.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 09 Jun 2025 08:14:32 +0200

haproxy (3.1.7-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Apr 2025 17:52:58 +0200

haproxy (3.1.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 22 Mar 2025 17:14:04 +0100

haproxy (3.1.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 21 Feb 2025 15:09:28 +0100

haproxy (3.1.3-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 29 Jan 2025 21:37:16 +0100

haproxy (3.1.2-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 12 Jan 2025 16:19:35 +0100

haproxy (3.1.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Dec 2024 21:34:13 +0100

haproxy (3.1.0-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Dec 2024 18:17:15 +0100

## haproxy 3.1.11

=== debian/changelog ===
haproxy (3.1.11-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:22:04 +0100

haproxy (3.1.11-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:13:52 +0100

## haproxy 3.1.12

=== debian/changelog ===
haproxy (3.1.12-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Dec 2025 05:17:31 +0100

haproxy (3.1.12-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Dec 2025 05:05:11 +0100

## haproxy 3.1.13

=== debian/changelog ===
haproxy (3.1.13-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 12 Feb 2026 00:04:07 +0100

haproxy (3.1.13-2) UNRELEASED; urgency=medium

  * CVE-2026-26081: fix integer overflow in QUIC code.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:54:23 +0100

haproxy (3.1.13-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:44:12 +0100

haproxy (3.1.13-1) UNRELEASED; urgency=medium

  * New upstream release.
  * d/control: explicitely depends on libcrypt-dev.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:30:20 +0100

## haproxy 3.1.14

=== debian/changelog ===
haproxy (3.1.14-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:19:57 +0100

haproxy (3.1.14-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:03:49 +0100

haproxy (3.1.13-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Wed, 11 Feb 2026 23:59:00 +0100

haproxy (3.1.13-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 31 Jan 2026 12:38:53 +0100

haproxy (3.1.12-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 23 Dec 2025 05:12:29 +0100

haproxy (3.1.11-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 20 Dec 2025 16:16:47 +0100

haproxy (3.1.10-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Vincent Bernat <bernat@debian.org>  Mon, 10 Nov 2025 16:06:25 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Standards-Version: 4.4.1
 Build-Depends: debhelper-compat (= 12),
                libpcre2-dev,
+               libcrypt-dev,
                libssl-dev,
                liblua5.4-dev,
                libsystemd-dev [linux-any],

## haproxy 3.1.15

=== debian/changelog ===
haproxy (3.1.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Feb 2026 00:43:26 +0100

haproxy (3.1.15-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 20 Feb 2026 00:33:33 +0100

haproxy (3.1.14-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 13 Feb 2026 23:25:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,8 @@
                libjemalloc-dev,
                python3-sphinx:native,
                libopentracing-c-wrapper-dev,
-               pkgconf
+               pkgconf,
+               systemd-dev [linux-any]
 Build-Depends-Indep: python3, python3-mako
 Homepage: http://www.haproxy.org/
 Vcs-Git: https://salsa.debian.org/haproxy-team/haproxy.git

## haproxy 3.2.1

=== debian/changelog ===
haproxy (3.2.1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: build-depends on libcrypt-dev. Closes: #1107033.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Jun 2025 08:31:04 +0200

haproxy (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * d/copyright: update FSF address.

 -- Vincent Bernat <bernat@debian.org>  Thu, 29 May 2025 10:26:20 +0200

## haproxy 3.2.4

=== debian/changelog ===
haproxy (3.2.4-1) experimental; urgency=medium

  * d/rules: build again with USE_QUIC_OPENSSL_COMPAT and require libssl
    (>= 3.5.1).

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Aug 2025 07:07:28 +0200

haproxy (3.2.3-2) experimental; urgency=medium

  * d/rules: build with USE_QUIC_OPENSSL_COMPAT until libssl (>= 3.5.1) is
    available in Trixie.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Jul 2025 21:56:54 +0200

haproxy (3.2.3-1) experimental; urgency=medium

  [ Yaacov Akiba Slama ]
  * d/rules: do not build with USE_QUIC_OPENSSL_COMPAT.
  * d/control: Build-Depends on libssl (>= 3.5.0).

  [ Vincent Bernat ]
  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Jun 2025 10:33:43 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/-(dev\d+)/~$1/" https://www.haproxy.org/download/3.2/src/ haproxy-(3\.2(?:\.|-dev)\d+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))

## haproxy 3.2.5

=== debian/changelog ===
haproxy (3.2.5-2) unstable; urgency=high

  * CVE-2025-11230: fix possible DoS when parsing JSON numbers.

 -- Vincent Bernat <bernat@debian.org>  Thu, 02 Oct 2025 17:06:08 +0200

haproxy (3.2.5-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * d/watch: update to version 5.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Sep 2025 21:34:05 +0200

## haproxy 3.2.6

=== debian/changelog ===
haproxy (3.2.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 21:16:29 +0200

haproxy (3.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Fri, 03 Oct 2025 17:04:47 +0200

haproxy (3.2.5-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 26 Sep 2025 22:01:46 +0200

haproxy (3.2.4-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * d/rules: build again with USE_QUIC_OPENSSL_COMPAT (libssl too old).

 -- Vincent Bernat <bernat@debian.org>  Thu, 14 Aug 2025 07:26:24 +0200

haproxy (3.2.3-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 11 Jul 2025 22:01:13 +0200

haproxy (3.2.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 14 Jun 2025 08:40:05 +0200

haproxy (3.2.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Vincent Bernat <bernat@debian.org>  Thu, 29 May 2025 11:00:46 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,16 +19,18 @@
 	 USE_PCRE2=1 \
 	 USE_PCRE2_JIT=1 \
 	 USE_OPENSSL=1 \
+	 USE_QUIC_OPENSSL_COMPAT=1 \
 	 USE_QUIC=1 \
-     USE_QUIC_OPENSSL_COMPAT=1 \
 	 USE_SLZ=1 \
 	 USE_LUA=1 \
 	 USE_PROMEX=1 \
+	 USE_OT=1 \
 	 LUA_INC=/usr/include/lua5.4 \
 	 EXTRA=admin/halog/halog
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
         MAKEARGS+= TARGET=linux-glibc USE_SYSTEMD=1
+        deb_systemdsystemunitdir=$(shell pkg-config --variable=systemdsystemunitdir systemd)
 else ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
         MAKEARGS+= TARGET=freebsd
 else
@@ -70,6 +72,9 @@
 	make $(MAKEARGS) install
 	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
 	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
+ifneq ($(deb_systemdsystemunitdir),)
+	install -m 0644 -D admin/systemd/haproxy.service debian/haproxy$(deb_systemdsystemunitdir)/haproxy.service
+endif
 
 override_dh_auto_install-indep:

## haproxy 3.2.7

=== dev/ncpu/Makefile ===
include ../../include/make/verbose.mk

CC       = cc
OPTIMIZE = -O2 -g
DEFINE   =
INCLUDE  =
OBJS     = ncpu.so ncpu
OBJDUMP  = objdump

all:	$(OBJS)

%.o: %.c
	$(cmd_CC) $(OPTIMIZE) $(DEFINE) $(INCLUDE) -shared -fPIC -c -o $@ $^

%.so: %.o
	$(cmd_CC) -pie -o $@ $^
	$(Q)rm -f $^

%: %.so
	$(call qinfo, PATCHING)set -- $$($(OBJDUMP) -j .dynamic -h $^ | fgrep .dynamic); \
	  ofs=$$6; size=$$3; \
	  dd status=none bs=1 count=$$((0x$$ofs)) if=$^ of=$^-p1; \
	  dd status=none bs=1 skip=$$((0x$$ofs)) count=$$((0x$$size)) if=$^ of=$^-p2; \
	  dd status=none bs=1 skip=$$((0x$$ofs+0x$$size)) if=$^ of=$^-p3; \
	  sed -e 's,\xfb\xff\xff\x6f\x00\x00\x00\x00\x00\x00\x00\x08,\xfb\xff\xff\x6f\x00\x00\x00\x00\x00\x00\x00\x00,g' < $^-p2 > $^-p2-patched; \
	  cat $^-p1 $^-p2-patched $^-p3 > "$@"
	$(Q)rm -f $^-p*
	$(Q)chmod 755 "$@"

clean:
	rm -f $(OBJS) *.[oas] *.so-* *~

=== dev/poll/Makefile ===
include ../../include/make/verbose.mk

CC       = cc
OPTIMIZE = -O2 -g
DEFINE   =
INCLUDE  =
OBJS     = poll

poll: poll.c
	$(cmd_CC) $(OPTIMIZE) $(DEFINE) $(INCLUDE) -o $@ $^

clean:
	rm -f $(OBJS) *.[oas] *~

=== debian/changelog ===
haproxy (3.2.7-1) unstable; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Sat, 25 Oct 2025 14:30:48 +0200

=== debian/tests/control ===
Tests: cli
Depends: haproxy, socat
Restrictions: needs-root

Tests: proxy-localhost
Depends: haproxy, wget, apache2
Restrictions: needs-root, allow-stderr, isolation-container

Tests: proxy-ssl-termination
Depends: haproxy, wget, apache2, gnutls-bin, ssl-cert
Restrictions: needs-root, allow-stderr, isolation-container

Tests: proxy-ssl-pass-through
Depends: haproxy, wget, apache2, gnutls-bin, ssl-cert
Restrictions: needs-root, allow-stderr, isolation-container

=== debian/watch ===
Version: 5
Source: https://www.haproxy.org/download/3.2/src/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
